const express = require('express');
const Eta = require('eta');
const path = require('path');

const app = express();

app.get('/', (req, res) => {
    const eta = new Eta.Eta({ 
        views: path.join(__dirname, "templates"), 
        ...(req.query.options || {})
    });
    res.send(eta.render("./helloworld", req.query.data || {}))
});

app.listen(38385, () => {
    console.log('Server is running on port 38385');
});